package com.sf._04_throw;

public class Test {
    /**
     * throw 在方法内部当中抛出异常
     * 通常情况是用做方法参数校验
     * @param args
     */
    public static void main(String[] args)    {
//        try{
//            login(null,null);
//            System.out.println("登录成功");
//        }catch (Exception e){
//            System.out.println(e.getMessage());
//            e.printStackTrace();
//        }
        printArr1(null);
    }



    public static void printArr1(int[] arr){

//        if(arr == null){
//            throw new IOException("xx");
//        }
        for (int i : arr) {
            System.out.println(i);
        }
    }

}
